package com.starbuds.server.service.finance.cloud.constant;

import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/26 16:57
 * @Description 云账户api路径
 */
@Data
public class CloudAccountApi {

    public static final String BASE_URL = "https://api-jiesuan.yunzhanghu.com";

    /**
     * 实名认证     POST
     */
    public static final String VERIFY_ID = BASE_URL + "/authentication/demo-id";

    /**
     * 银⾏卡四要素请求鉴权（下发短信验证码）  POST
     */
    public static final String VERIFY_REQUEST = BASE_URL + "/authentication/demo-request";

    /**
     * 银⾏卡四要素确认鉴权（上传短信验证码）  POST
     */
    public static final String VERIFY_CONFIRM = BASE_URL + "/authentication/demo-confirm";

    /**
     * 银⾏卡四要素验证  POST
     */
    public static final String BANKCARD_FOUR_FACTOR = BASE_URL + "/authentication/demo-bankcard-four-factor";

    /**
     * 银⾏卡信息查询接⼝  GET
     */
    public static final String CARD_QUERY = BASE_URL + "/api/payment/v1/card";

    /**
     * 银⾏卡实时下单     POST
     */
    public static final String PAYMENT_ORDER = BASE_URL + "/api/payment/v1/order-realtime";

}
