package com.starbuds.server.service.finance.cloud.request;

import cn.hutool.http.Method;
import com.starbuds.server.service.finance.cloud.response.CloudAccountResponse;

/**
 * 云账户请求
 *
 * @param <T>
 */
public interface CloudAccountRequest<T extends CloudAccountResponse> {
    /**
     * 获取接口请求地址
     *
     * @return
     */
    String getApiUrl();

    /**
     * 获取方法
     *
     * @return
     */
    Method getMethod();

    /**
     * 获取响应类
     *
     * @return
     */
    Class<T> getResponseClass();
}
