package com.starbuds.server.service.finance.cloud.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/27 14:34
 * @Description 银⾏卡信息查询接⼝
 */
@Data
public class CardQueryResponse extends CloudAccountResponse {

    private Data data;

    @lombok.Data
    public static class Data {
        /**
         * 银⾏代码
         */
        @JSONField(name = "bank_code")
        private String bankCode;
        /**
         * 银⾏名称
         */
        @JSONField(name = "bank_name")
        private String bankName;
        /**
         * 卡类型
         */
        @JSONField(name = "card_type")
        private String cardType;
        /**
         * 云账户是否⽀持向该银⾏打款
         */
        @JSONField(name = "is_support")
        private Boolean isSupport;
    }

}
