package com.starbuds.server.service.finance.cloud.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/27 19:13
 * @Description 银⾏卡实时下单
 */
@Data
public class PaymentOrderResponse extends CloudAccountResponse {

    private Data data;

    @lombok.Data
    public static class Data {
        /**
         * 订单id
         */
        @JSONField(name = "order_id")
        private String orderId;
        /**
         * 综合服务平台流⽔
         */
        private String ref;
        /**
         * 金额
         */
        private String pay;
    }

}
