package com.starbuds.server.service.finance.constant;

/**
 * ApplePay 常量
 *
 * @author Lay
 * @date 2019/12/19
 */
public class ApplePayConstant {
    /**
     * 沙盒环境网关
     */
    public static final String GATEWAY_SANDBOX = "https://sandbox.itunes.apple.com/verifyReceipt";

    /**
     * 正式环境网关
     */
    public static final String GATEWAY = "https://buy.itunes.apple.com/verifyReceipt";

    /**
     * 成功状态
     */
    public static final String STATUS_SUCCESS = "0";

    /**
     * 沙盒的证书
     */
    public static final String STATUS_SANDBOX = "21007";
}
