package com.starbuds.server.service.finance.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 家族
 *
 * @author aoe
 * @date 2021/9/25
 */
@Mapper
@Repository
public interface FamilyDAO {

    /**
     * 查询家族分成比例
     *
     * @param familyId
     * @return
     */
    Double selectFamilyRatio(@Param("familyId") Long familyId);
}
