package com.starbuds.server.service.finance.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/18 14:40
 * @Description 家族技能持久层
 */
@Mapper
@Repository
public interface FamilySkillDAO {

    /**
     * 增加接单量
     *
     * @param familyId
     * @param userId
     * @param skillId
     * @param step
     * @return
     */
    int increaseOrderCount(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillId") Long skillId, @Param("step") Integer step);


}
