package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.InviteConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/6/23
 */
@Mapper
@Repository
public interface InviteConfigDAO {
    /**
     * 查询最大配置
     *
     * @param groupId
     * @param inviteNum
     * @param inviteAmount
     * @return
     */
    InviteConfigDO selectMaxByNumAndAmount(@Param("groupId") Integer groupId, @Param("inviteNum") long inviteNum, @Param("inviteAmount") BigDecimal inviteAmount);
}
