package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserIdCardDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserIDCardDAO {
    /**
     * 根据userID 获得用户身份证信息
     *
     * @param userId
     * @return
     */
    UserIdCardDO getUserIDCardByUserId(@Param("userId") Long userId);
}
