package com.starbuds.server.service.finance.easyTax.client;

import com.starbuds.server.service.finance.easyTax.request.EasyTaxRequest;
import com.starbuds.server.service.finance.easyTax.response.EasyTaxResponse;

/**
 * 云账户客户端
 */
public interface CloudAccountClient {
    /**
     * 执行请求
     *
     * @param request
     * @param <T>
     * @return
     */
    <T extends EasyTaxResponse> T execute(EasyTaxRequest<T> request);

}
