package com.starbuds.server.service.finance.easyTax.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/27 19:13
 * @Description 银⾏卡实时下单
 */
@Data
public class PaymentBankPayResponse extends EasyTaxResponse {

    private Data data;

    @lombok.Data
    public static class Data {
        /**
         * 商户订单号
         */
        @JSONField(name = "dealer_order_no")
        private String dealerOrderNo;
        /**
         * 易纳税系统订单号
         */
        private String orderNo;
    }

}
