package com.starbuds.server.service.finance.impl.lottery;

import com.starbuds.server.common.pojo.activity.vo.LotteryGameSummary;

/**
 * 抽奖活动中用户获取的抽奖资格
 */
public interface LotteryGameWallet {

    /**
     * 检查用户钱包能否支持本次抽奖
     */
    boolean checkUserWalletEnough(Long userId, LotteryGameSummary summary);


    /**
     * 本次抽奖扣除用户钱包余额
     */
    boolean reduceUserWallet(Long userId, LotteryGameSummary summary);


}