package com.starbuds.server.service.finance.pojo;

import lombok.Builder;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/18
 */
@Data
@Builder
public class AlipayAppArgs {
    /**
     * appId
     */
    private String appId;

    /**
     * 商户私钥
     */
    private String privateKey;

    /**
     * 支付宝公钥
     */
    private String alipayPublicKey;

    /**
     * 签名方式
     */
    private String signType;

    /**
     * 支付金额
     */
    private String totalAmount;

    /**
     * 支付主题
     */
    private String subject;

    /**
     * 支付内容
     */
    private String body;

    /**
     * 交易单号
     */
    private String outTradeNo;

    /**
     * 支付配置 id
     */
    private Long configId;

    /**
     * 渠道 id
     */
    private Long channelId;
}
