package com.starbuds.server.service.finance.pojo.sailtob;

import lombok.Data;

import java.util.List;

/***
 * @author qinjiang
 * @description
 * @date 2021/11/3
 */
@Data
public class SailtobConfig {
    /**
     * api host
     */
    private String host;
    /**
     * 商户ID
     */
    private String merId;
    /**
     * 通道编码
     */
    private String tenantCode;
    /**
     * des Key
     */
    private String desKey;
    /**
     * privateKey
     */
    private String privateKey;
    /**
     * publicKey
     */
    private String publicKey;
    /**
     * version
     */
    private String version;
    /**
     * 税优地列表
     */
    private List<SailtobTax> tax;
}
