package com.starbuds.server.service.finance.provider.lottery;

import com.starbuds.server.common.constant.activity.LotteryGamePlayTypeEnum;
import com.starbuds.server.service.finance.pojo.bo.lottery.LotteryGameAwardItemBO;

import java.util.Collection;

/**
 * 抽奖游戏-发放奖品
 *
 * @author aoe
 */
public interface LotteryGameAward {

    /**
     * 发放奖品
     *
     * @param items
     * @param playType
     * @return 成功发放记录数
     */
    int awardItems(final Collection<LotteryGameAwardItemBO> items, LotteryGamePlayTypeEnum playType);
}
