package com.starbuds.server.service.finance.provider;

import com.starbuds.server.common.constant.finance.WalletTypeEnum;
import com.starbuds.server.common.utils.LogUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

@Slf4j
public class WalletProviderTest {

    @Test
    public void getWalletId() {
        String walletId = WalletProvider.getWalletId(Long.parseLong("141075591200768"), WalletTypeEnum.STAR_DIAMOND.getValue());
        log.info(LogUtil.devLog("walletId={}"), walletId);
    }
}