package com.starbuds.server.service.finance.cloud.client;

import com.starbuds.server.service.finance.cloud.request.CloudAccountRequest;
import com.starbuds.server.service.finance.cloud.response.CloudAccountResponse;

/**
 * 云账户客户端
 */
public interface CloudAccountClient {
    /**
     * 执行请求
     *
     * @param request
     * @param <T>
     * @return
     */
    <T extends CloudAccountResponse> T execute(CloudAccountRequest<T> request);

}
