package com.starbuds.server.service.finance.cloud.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 云账户响应结构体
 */
@Data
public abstract class CloudAccountResponse implements Serializable {

    private String code;

    private String message;

    @JSONField(name = "request_id")
    private String requestId;

    public boolean isSuccess() {
        return "0000".equals(code);
    }

}
