package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.CoinRechargeOrderDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/18
 */
@Mapper
@Repository
public interface CoinRechargeOrderDAO {
    /**
     * 创建金币支付订单
     *
     * @param coinRechargeOrderDO
     * @return
     */
    int insert(CoinRechargeOrderDO coinRechargeOrderDO);

    /**
     * 根据 id 查询
     *
     * @param orderId
     * @return
     */
    CoinRechargeOrderDO selectById(@Param("orderId") Long orderId);
}
