package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.LuckyGiftConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/9
 */
@Mapper
@Repository
public interface LuckyGiftConfigDAO {
    /**
     * 查询最新启用的一条
     *
     * @return
     */
    LuckyGiftConfigDO selectLastEnabled();

    /**
     * 根据 id 查询
     *
     * @param configId
     * @return
     */
    LuckyGiftConfigDO selectById(@Param("configId") Long configId);
}
