package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.PayDO;
import com.starbuds.server.service.finance.pojo.db.PayAppleReceiptDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/18
 */
@Mapper
@Repository
public interface PayAppleReceiptDAO {
    /**
     * 插入或更新
     *
     * @param orderId
     * @param appleTransactionId
     * @param appleReceiptData
     * @return
     */
    int insertOrUpdate(@Param("orderId") Long orderId, @Param("appleTransactionId") String appleTransactionId, @Param("appleReceiptData") String appleReceiptData, @Param("createTime") long createTime);

    /**
     * 根据 id 查询
     *
     * @param
     * @return
     */
    PayAppleReceiptDO selectById(@Param("orderId") Long orderId);
}
