package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.PayConfigAlipayDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/18
 */
@Mapper
@Repository
public interface PayConfigAlipayDAO {
    /**
     * 根据 id 查询
     *
     * @param configId
     * @return
     */
    PayConfigAlipayDO selectById(@Param("configId") Long configId);

    /**
     * 根据 appId 查找
     *
     * @param appId
     * @return
     */
    PayConfigAlipayDO selectByAppId(@Param("appId") String appId);
}
