package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.PayDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/18
 */
@Mapper
@Repository
public interface PayDAO {
    /**
     * 创建支付记录
     *
     * @param payDO
     * @return
     */
    int insert(PayDO payDO);

    /**
     * 更新支付记录
     *
     * @param payDO
     * @return
     */
    int update(PayDO payDO);

    /**
     * 根据 id 查询
     *
     * @param payId
     * @return
     */
    PayDO selectById(@Param("payId") Long payId);
}
