package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserBagHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/18
 */
@Mapper
@Repository
public interface UserBagHisDAO {
    /**
     * 背包记录
     *
     * @param userBagHisDO
     * @return
     */
    int insert(UserBagHisDO userBagHisDO);

    /**
     * 批量写入记录
     *
     * @param list
     * @return
     */
    int batchInsert(List<UserBagHisDO> list);
}
