package com.starbuds.server.service.finance.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface UserDAO {
    /**
     * 更新用户是否充值
     *
     * @param userId
     * @param hasRecharged
     * @return
     */
    int updateHasRecharged(@Param("userId") Long userId, @Param("hasRecharged") int hasRecharged);

    /**
     * 查询用户注册时间
     *
     * @param userId
     * @return
     */
    Long selectCreateTime(@Param("userId") Long userId);
}
