package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.VipFreeMinutesDayHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/6
 */
@Mapper
@Repository
public interface VipFreeMinutesDayHisDAO {
    /**
     * 创建记录
     *
     * @param vipFreeMinutesDayHisDO
     * @return
     */
    int insert(VipFreeMinutesDayHisDO vipFreeMinutesDayHisDO);

    /**
     * 根据 id 统计
     *
     * @param hisDate
     * @param userId
     * @return
     */
    int countById(@Param("hisDate") Integer hisDate, @Param("userId") Long userId);
}
