package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.VipItemDO;
import com.starbuds.server.common.pojo.finance.VipItemVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/4
 */
@Mapper
@Repository
public interface VipItemDAO {
    /**
     * 查询所有
     *
     * @return
     */
    List<VipItemVO> selectAll();

    /**
     * 根据 id 查询
     *
     * @param itemId
     * @return
     */
    VipItemDO selectById(@Param("itemId") Long itemId);
}
