package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.VipOrderDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/4
 */
@Mapper
@Repository
public interface VipOrderDAO {
    /**
     * 创建订单
     *
     * @param vipOrderDO
     * @return
     */
    int insert(VipOrderDO vipOrderDO);

    /**
     * 根据 id 查询
     *
     * @param orderId
     * @return
     */
    VipOrderDO selectById(@Param("orderId") Long orderId);
}
