package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.VoiceChatHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/16 18:11
 * @Description 语音速配持久层
 */
@Mapper
@Repository
public interface VoiceChatHisDAO {

    /**
     * 获取语音速配记录
     *
     * @param hisId
     * @return
     */
    VoiceChatHisDO selectById(@Param("hisId") Long hisId);

}
