package com.starbuds.server.service.finance.easyTax.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 易纳税响应结构体
 */
@Data
public abstract class EasyTaxResponse implements Serializable {

    private String code;

    private String message;

    @JSONField(name = "request_id")
    private String requestId;

    public boolean isSuccess() {
        return "0000".equals(code);
    }

}
