package com.starbuds.server.service.finance.impl;

import com.starbuds.server.common.pojo.finance.PayAppleNotifyHisDo;
import com.starbuds.server.common.service.finance.PayAppleNotifyHisService;
import com.starbuds.server.service.finance.dao.PayAppleNotifyHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: ruomu
 * @date: 2021/11/2 created
 */
@Service(version = "1.0.0")
@Slf4j
public class PayAppleNotifyHisServiceImpl implements PayAppleNotifyHisService {

    @Resource
    private PayAppleNotifyHisDAO payAppleNotifyHisDAO;

    @Override
    public boolean insert(PayAppleNotifyHisDo payAppleNotifyHisDo) {
        return payAppleNotifyHisDAO.insert(payAppleNotifyHisDo) > 0;
    }

    @Override
    public boolean insertItems(List<PayAppleNotifyHisDo> payAppleNotifyHisDo) {
        return payAppleNotifyHisDAO.insertItems(payAppleNotifyHisDo);
    }
}
