package com.starbuds.server.service.finance.impl.gift;

import com.starbuds.server.common.pojo.finance.gift.GiftReceiver;
import com.starbuds.server.common.pojo.finance.gift.SendGiftByFinanceAbstract;

import java.math.BigDecimal;

/**
 * 礼物费率
 *
 * @author aoe
 */
@FunctionalInterface
public interface GiftRate {

    /**
     * 计算礼物费率
     *
     * @param sendGift
     * @param receiver
     * @return
     */
    BigDecimal calculate(SendGiftByFinanceAbstract sendGift, GiftReceiver receiver);
}
