package com.starbuds.server.service.finance.pojo;

import lombok.Data;

/***
 * @author qinjiang
 * @description applePay支付配置(如 ： 香港节点 等配置)
 * @date 2021/11/17
 */
@Data
public class ApplePayConfigArgs {
    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 加解密密码
     */
    private String encrypt;

    /**
     * 节点地址
     */
    private String node_url;
}
