package com.starbuds.server.service.finance.pojo;

import lombok.Builder;
import lombok.Data;

/**
 * 微信 APP 支付参数
 *
 * @author Lay
 * @date 2019/12/19
 */
@Data
@Builder
public class WxpayAppArgs {

    /**
     * appId
     */
    private String appId;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * API 密钥
     */
    private String apiKey;

    /**
     * 支付主题
     */
    private String body;

    /**
     * 支付内容
     */
    private String detail;

    /**
     * 订单号
     */
    private String outTradeNo;

    /**
     * 支付金额
     */
    private Integer totalFee;

    /**
     * ip 地址
     */
    private String ip;

    /**
     * 支付配置 id
     */
    private Long configId;

    /**
     * openId
     */
    private String openId;
}
