package com.starbuds.server.service.finance.pojo.bo.lottery;

import lombok.Data;

/**
 * 抽奖游戏发放奖品
 *
 * @author aoe
 * @date 2021/11/27
 */
@Data
public class LotteryGameAwardItemBO {

    private Long orderId;

    private Long userId;

    /**
     * 奖品id
     */
    private Long rewardId;

    /**
     * 奖品名称
     */
    private String rewardName;

    /**
     * 物品类型 1:礼物 2:道具 LotteryGameRewardTypeEnum
     */
    private Integer rewardType;

    /**
     * 奖品数量
     */
    private Integer rewardNum;

    /**
     * 奖品总价（类型：钻石）
     */
    private Long rewardTotalPrice;

}
