package com.starbuds.server.service.finance.pojo.db;

import lombok.Data;

/***
 * @author qinjiang
 * @description
 * @date 2021/11/8
 */
@Data
public class UserSignContractDO {
    /**
     * 记录编号
     */
    private Long hisId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 平台类型 0：平台暂保留  1：智企行
     */
    private Integer platfrom;
    /**
     * 平台值
     */
    private Long flagId;
    /**
     * 用户名
     */
    private String name;
    /**
     * 银行卡号码
     */
    private String bankCardNo;
    /**
     * 身份证号码
     */
    private String idCardNo;
    /**
     * 身份证正面照片
     */
    private String idCardFront;
    /**
     * 身份证背面照片
     */
    private String idCardBack;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 签约状态 0：未签约  1：已签约  2：过期
     */
    private Integer status;
    /**
     * 过期时间 0：没有过期时间
     */
    private Long expireTimestamp;
    /**
     * 合同地址(涉及到第三方)
     */
    private String contractUrl;
    /**
     * 签名图片地址
     */
    private String signImgUrl;
    /**
     * 备注
     */
    private String remark;
    /**
     * 签约时间
     */
    private Long timestamp;
}
