package com.starbuds.server.service.finance.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 星尘转粉钻记录
 */
@Data
public class WalletTransDustToPinkHisPageListQO extends PageQO implements Serializable {

    /**
     *
     */
    @QueryTag
    private Long hisId;

    /**
     * 兑换结算日期
     */
    @QueryTag
    private Integer transDate;

    /**
     * 用户id
     */
    @QueryTag
    private Long userId;

    /**
     * 转换金额
     */
    @QueryTag
    private Long transAmount;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}