package com.starbuds.server.service.finance.pojo.sailtob;

import lombok.Data;

import java.io.Serializable;

/***
 * @author qinjiang
 * @description 智企行代缴账户
 * @date 2021/10/26
 */
@Data
public class SailtobWithholdingAccount implements Serializable {

    /**
     * 税优地编码
     */
    private String levyCode;

    /**
     * 银行Code
     */
    private String bankCode;

    /**
     * 可提现金额
     */
    private String cashAmt;

    /**
     * 可提现金额冻结金额
     */
    private String cashFreeze;

    /**
     * 当前可用金额
     */
    private String amt;

    /**
     * 商户ID
     */
    private String merId;

    /**
     * 状态{t:有效; f:无效; fro:冻结}
     */
    private String state;

    /**
     * 账户类型 {merAcc:商户账户}
     */
    private String accType;
}
