package com.starbuds.server.service.finance.impl;

import com.starbuds.server.common.service.finance.WalletService;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.jupiter.api.Test;
import test.BaseTest;


@Slf4j
public class WalletServiceImplTest extends BaseTest {

    @Reference(version = "1.0.0")
    private WalletService walletService;

    // 获取用户钱包求和值
    @Test
    public void getUserWalletHisSumByTypeAndMonth() {
        Long userId = Long.parseLong("141075591200768");
        Integer walletType = 24;
        Integer yearMonth = 202108;
        Integer isIncome = 0;

        long total = walletService.getUserWalletHisSumByTypeAndMonth(userId, walletType, yearMonth, isIncome);
        log.info("Total = {}", total);
    }

}